The Unix Heritage Society mailing list
 help / color / mirror / Atom feed
From: steffen at sdaoden.eu (Steffen Nurpmeso)
Subject: [TUHS] Seeking wisdom from Unix Greybeards
Date: Thu, 26 Nov 2020 22:56:53 +0100	[thread overview]
Message-ID: <20201126215653.INoK4%steffen@sdaoden.eu> (raw)
In-Reply-To: <7DBB40AE-259D-494E-8ABF-2FE4D47F4052@iitbombay.org>

Bakul Shah wrote in
 <7DBB40AE-259D-494E-8ABF-2FE4D47F4052 at iitbombay.org>:
 |RFC734

Interesting!

Off-topic, but i have downloaded this via

  #!/bin/sh -
  
  FROM=https://www.rfc-editor.org/rfc/
  #FROM=https://tools.ietf.org/rfc/
  MYDIR=/x/doc/coding/rfc
  
  : ${WGET:=`command -v curl` --silent}
  #: ${WGET:=`command -v wget` -q -O -}
  
  ##
  
  cd "${MYDIR}" || {
  	echo >&2 'Cannot cd to '"${MYDIR}"
  	exit 21
  }
  
  xfiles= estat=0
  while [ ${#} -gt 0 ]; do
  	RFC=${1}
  	shift
  	[ -f "rfc${RFC}.txt" ] && {
  		echo 'RFC '${RFC}': a local copy of this RFC yet exists'
  		continue
  	}
  	printf 'Fetching RFC %s.txt ... ' "${RFC}"
  
  	if ${WGET} "${FROM}"rfc${RFC}.txt > rfc${RFC}.txt; then
  		xfiles="${xfiles} rfc${RFC}.txt"
  		printf 'ok\n'
  	else
  		printf 'failed!\n'
  		estat=1
  	fi
  done
  
  if [ -n "${xfiles}" ]; then
  	"${EDITOR}" INDEX.txt ${xfiles}
  fi
  
  exit ${estat}

and the file is contaminated with NULs.

--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)


  parent reply	other threads:[~2020-11-26 21:56 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
     [not found] <20201126183746.DD93218C087@mercury.lcs.mit.edu>
     [not found] ` <7DBB40AE-259D-494E-8ABF-2FE4D47F4052@iitbombay.org>
2020-11-26 19:02   ` lars
2020-11-26 21:56   ` steffen [this message]
2020-11-25 17:14 Grant Taylor via TUHS
2020-11-25 17:22 ` Ralph Corderoy
     [not found]   ` <20201126145134.GB394251@mit.edu>
2020-11-26 21:48     ` steffen
2021-02-10 18:57       ` Greg A. Woods
2021-02-10 22:26         ` Clem Cole
2021-02-24 22:20         ` Steffen Nurpmeso
2020-11-26 21:59     ` dave
2020-11-25 17:38 ` Larry McVoy
2020-11-25 18:00 ` Steffen Nurpmeso
2020-11-25 20:03   ` Steffen Nurpmeso
     [not found] ` <CACYmRNAtdJu0ui=CgrEcWH6J3uikCh0=aCLNvk0+V29rypDBAg@mail.gmail.com>
     [not found]   ` <71fdfa2e-1483-4985-3f55-6760b3a84ec0@gmail.com>
     [not found]     ` <20201126182937.GN9589@mcvoy.com>
2020-11-26 23:14       ` erc
2020-11-26 23:23         ` lm

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20201126215653.INoK4%steffen@sdaoden.eu \
    --to=tuhs@minnie.tuhs.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).